Evaluation Rules
Get an evaluation rule
Retrieves the specified evaluation rule and its configuration.
Abfrageparameter
api-version
string
Erforderlich
The API version to use for this operation.
Pfadparameter
id
string
Erforderlich
Unique identifier for the evaluation rule.
Antworten
The request has succeeded.
Text
id
string
Erforderlich
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
Erforderlich
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
Erforderlich
evalId
string
Erforderlich
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
Erforderlich
templateId
string
Erforderlich
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
Erforderlich
Filter by agent name.
eventType
string | enum
Erforderlich
Type of the evaluation rule event.
enum
enabled
boolean
Erforderlich
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
Erforderlich
System metadata for the evaluation rule.
Anfordern
GET /evaluationrules/{id} HTTP/1.1
Antwort
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json